"use strict";
this.name        = "Missile Beep";
this.description = "Missile Beep World Script";
this.version     = "1.0";
this.author      = "hoqllnq";
this.copyright   = "2017 hoqllnq";
this.licence     = "CC-BY-NC-SA 3.0";

this._timer = null;
this._sound_source = null;

this.startUp = function()
{
	if (!this._timer)
	{
		this._timer = new Timer(this, this._timer_hook.bind(this),1,1);
	}
	
	if (!this._sound_source)
	{
		this._sound_source = new SoundSource();
		this._sound_source.loop = false;
		this._sound_source.sound = "[missile_beep]";
	}
}

this._timer_hook = function()
{
	var things = player.ship.checkScanner(true);
	
	for (var i = 0;i < things.length;i++)
	{
		if (things[i].isMissile && things[i].target == player.ship)
		{
			this._sound_source.play();
			return;
		}
	}
	
	if (this._sound_source.isPlaying)
		this._sound_source.stop();
}
